JBoss API: Class RemoteMethodInvocation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class RemoteMethodInvocation

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.RemoteMethodInvocation

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public final class RemoteMethodInvocation
extends java.lang.Object
implements java.io.Externalizable

This Serializable object carries the method to invoke and an identifier for the target ojbect

Version:
  $Revision: 1.13.4.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Richard Monson-Haefel., Marc Fleury., Daniel O'Connor., Scott Stark/a>.
See Also:
  Serialized Form

Constructor Summary
`RemoteMethodInvocation()`
`RemoteMethodInvocation(java.lang.reflect.Method m, java.lang.Object[] args)`
`RemoteMethodInvocation(java.lang.Object id, java.lang.reflect.Method m, java.lang.Object[] args)`

Method Summary
`static long` | `calculateHash(java.lang.reflect.Method method)`
`static void` | `clearHash(java.lang.reflect.Method method)` Remove the method declaring class method hash map.
`java.lang.Object[]` | `getArguments()`
`java.lang.Object` | `getCredential()`
`java.lang.Object` | `getId()`
`static java.util.Map` | `getInterfaceHashes(java.lang.Class intf)` Calculate method hashes.
`java.lang.reflect.Method` | `getMethod()`
`java.security.Principal` | `getPrincipal()`
`java.lang.Object` | `getTransactionPropagationContext()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setCredential(java.lang.Object credential)`
`void` | `setMethodMap(java.util.Map methods)`
`void` | `setPrincipal(java.security.Principal identity)`
`void` | `setTransactionPropagationContext(java.lang.Object tpc)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteMethodInvocation

    public RemoteMethodInvocation()

### RemoteMethodInvocation

    public RemoteMethodInvocation(java.lang.reflect.Method m,
                                  java.lang.Object[] args)

### RemoteMethodInvocation

    public RemoteMethodInvocation(java.lang.Object id,
                                  java.lang.reflect.Method m,
                                  java.lang.Object[] args)

Method Detail

### getInterfaceHashes

    public static java.util.Map getInterfaceHashes(java.lang.Class intf)

  Calculate method hashes. This algo is taken from RMI.
  Parameters:
    `intf` -
  Returns:

### calculateHash

    public static long calculateHash(java.lang.reflect.Method method)

### clearHash

    public static void clearHash(java.lang.reflect.Method method)

  Remove the method declaring class method hash map. This is called by the JRMPContainerInvoker in stop to release the referenced classes.

### getId

    public java.lang.Object getId()

### getMethod

    public java.lang.reflect.Method getMethod()

### getArguments

    public java.lang.Object[] getArguments()

### setMethodMap

    public void setMethodMap(java.util.Map methods)

### setTransactionPropagationContext

    public void setTransactionPropagationContext(java.lang.Object tpc)

### getTransactionPropagationContext

    public java.lang.Object getTransactionPropagationContext()

### setPrincipal

    public void setPrincipal(java.security.Principal identity)

### getPrincipal

    public java.security.Principal getPrincipal()

### getCredential

    public java.lang.Object getCredential()

### setCredential

    public void setCredential(java.lang.Object credential)

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.